API Referenceapipatient-graphGET /v1/adherence/summary

GET /v1/adherence/summary

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • patient_id (string) required
  • protocol_id (string) required

Responses

200 Protocol adherence summary

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string"
    },
    "protocol_id": {
      "type": "string"
    },
    "streak_days": {
      "type": "integer",
      "minimum": 0
    },
    "adherence_pct": {
      "type": "integer",
      "minimum": 0
    },
    "last30": {
      "type": "object",
      "properties": {
        "taken": {
          "type": "integer",
          "minimum": 0
        },
        "missed": {
          "type": "integer",
          "minimum": 0
        },
        "scheduled": {
          "type": "integer",
          "minimum": 0
        }
      },
      "required": [
        "taken",
        "missed",
        "scheduled"
      ]
    }
  },
  "required": [
    "patient_id",
    "protocol_id",
    "streak_days",
    "adherence_pct",
    "last30"
  ]
}

400 Bad request

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

401 Unauthorized

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/adherence/summary \
  -H "Authorization: Bearer $ACCESS_TOKEN"